View Issue Details

IDProjectCategoryView StatusLast Update
0016232LazarusIDEpublic2011-12-01 11:23
ReporterMartin FriebeAssigned ToMarc Weustink 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0016232: Debugger enters error state, for certain IDE hints
DescriptionRun any app in the debugger, and make it hit a breakpoint (so the app is paused)

Select several lines of text, and hover the mouse over it => so it will be evaluated for the hint

The result is that the debugger will enter the error state.

some captured output below.
Additional Information* from debug-output window in IDE:

(gdb)
<-stack-list-frames 0 0>
^done,stack=[frame={level="0",addr="0x00b8e225",func="CREATE",file="sourcemarks.pas",fullname="C:/lazarus_latest/ide/sourcemarks.pas",line="697"}]
(gdb)
<-data-evaluate-expression if EditorUpdateRequired then DoLineUpdate;
  if FSourceMarks<>nil then FSourceMarks.fSortedItems.Remove(Self);
  FLine := Value;
  if FSynMarkLock = 0 then
    FSynMarks.Line := Value;
 >
^error,msg="mi_cmd_data_evaluate_expression: Usage: -data-evaluate-expression expression"
(gdb)
<-stack-info-frame>
&"if FSourceMarks<>nil then FSourceMarks.fSortedItems.Remove(Self);\n"
~" >"
~" >"
~" >"
~" >"
~" >"
~" >"



* from console

TGDBMIDebugger.ProcessResult Error: ,msg="mi_cmd_data_evaluate_expression: Usage: -data-evaluate-expression expression"
[Debugger] Log output: &"if FSourceMarks<>nil then FSourceMarks.fSortedItems.Remove(Self);\n"
[WARNING] Debugger: Execution of external command "-exec-next" while queue exists
TDebugger.ReqCmd failed: StepOver
TDebugger.StepOver Class=TGDBMIDebugger failed.
TagsNo tags attached.
Fixed in Revision24559
LazTarget-
Widgetset
Attached Files

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2010-04-08 23:22 Martin Friebe New Issue
2010-04-08 23:22 Martin Friebe LazTarget => -
2010-04-10 19:27 Marc Weustink Fixed in Revision => 24559
2010-04-10 19:27 Marc Weustink Status new => resolved
2010-04-10 19:27 Marc Weustink Fixed in Version => 0.9.29 (SVN)
2010-04-10 19:27 Marc Weustink Resolution open => fixed
2010-04-10 19:27 Marc Weustink Assigned To => Marc Weustink
2011-12-01 11:23 Marc Weustink Status resolved => closed